cluster.name: opensearch-cluster
network.host: 0.0.0.0
# Alternative if the bind address is not public to the other nodes
# network.bind_host: 0.0.0.0
# network.publish_host: opensearch-node1
######## OpenSearch Security Configuration #########
plugins:
  security:
    ssl:
      transport:
        pemcert_filepath: node-0.pem
        pemkey_filepath: node-0-key.pem
        pemtrustedcas_filepath: root-ca.pem
        enforce_hostname_verification: false
      http:
        enabled: true
        pemcert_filepath: node-0.pem
        pemkey_filepath: node-0-key.pem
        pemtrustedcas_filepath: root-ca.pem
    allow_unsafe_democertificates: false
    allow_default_init_securityindex: true
    authcz:
      admin_dn:
        - "CN=admin,O=Dis,L=All,ST=Any,C=EU"
    nodes_dn:
      - "CN=elastic_service,O=Dis,L=All,ST=Any,C=EU"
    audit.type: internal_opensearch
    enable_snapshot_restore_privilege: true
    check_snapshot_restore_write_privileges: true
    restapi:
      roles_enabled: ["all_access", "security_rest_api_access"]
    system_indices:
      enabled: true
      indices:
        - .opendistro-alerting-config
        - .opendistro-alerting-alert*
        - .opendistro-anomaly-results*
        - .opendistro-anomaly-detector*
        - .opendistro-anomaly-checkpoints
        - .opendistro-anomaly-detection-state
        - .opendistro-reports-*
        - .opendistro-notifications-*
        - .opendistro-notebooks
        - .opendistro-asynchronous-search-response*
######## End OpenSearch Security Configuration ########
